JvmClasses (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.play

## Interface JvmClasses

- All Superinterfaces:
    `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `ModelElement`, `Named`

      @Incubating
      @Deprecated
      public interface JvmClasses
      extends BuildableComponentSpec

  Deprecated.
  A set of classes and resources that operate together.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addResourceDir​(File resourceDir)` | Deprecated. Add a resource directory to this binary.
    `File` | `getClassesDir()` | Deprecated. The classes directory for this binary.
    `Set<File>` | `getResourceDirs()` | Deprecated. A set of resource directories for this binary.
    `void` | `setClassesDir​(File classesDir)` | Deprecated. Sets the classes directory for this binary.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getClassesDir

          File getClassesDir()

      Deprecated.
      The classes directory for this binary.

    - #### setClassesDir

          void setClassesDir​(File classesDir)

      Deprecated.
      Sets the classes directory for this binary.

    - #### getResourceDirs

          Set<File> getResourceDirs()

      Deprecated.
      A set of resource directories for this binary.

    - #### addResourceDir

          void addResourceDir​(File resourceDir)

      Deprecated.
      Add a resource directory to this binary.